summarylogtreecommitdiffstats
path: root/install.sh
diff options
context:
space:
mode:
authorzenekron2021-08-17 08:35:13 +0200
committerzenekron2021-08-17 08:43:32 +0200
commit8c6ffaf052f1b5798d4e68886fd2f3b4c81ae895 (patch)
tree603898031c7b7c1fcb180f1a4c2416144ba61d8d /install.sh
parenta3561ecc289667654c5867dccff84eaa48b35f56 (diff)
downloadaur-konsole-dracula-git.tar.gz
fix missing pkgver() function and bump .SRCINFO on commit
Diffstat (limited to 'install.sh')
-rwxr-xr-xinstall.sh15
1 files changed, 15 insertions, 0 deletions
diff --git a/install.sh b/install.sh
new file mode 100755
index 000000000000..2e80458aac04
--- /dev/null
+++ b/install.sh
@@ -0,0 +1,15 @@
+#!/usr/bin/env sh
+set -e
+
+# pre-commit
+cat > ./.git/hooks/pre-commit <<EOF
+#!/bin/sh
+set -e
+
+# make sure the package builds
+makepkg --syncdeps --clean --force
+
+# bump .SRCINFO
+makepkg --printsrcinfo > ".SRCINFO" && git add ".SRCINFO"
+EOF
+chmod +x ./.git/hooks/pre-commit